# "fix" underlinking:
%define _disable_ld_no_undefined 1

%define	lvmversion	2.03.22
%define	dmversion	1.02.196
%define	_usrsbindir	%{_prefix}/sbin
%define	_sbindir	/sbin
%define	dmmajor		1.02
%define	cmdmajor	2.03
%define	appmajor	2.2

%global enable_lvmdbusd 1

%global systemd_version 247-1

%define	dmlibname	%mklibname devmapper %dmmajor
%define	dmdevelname	%mklibname devmapper -d
%define	event_libname	%mklibname devmapper-event %dmmajor
%define	event_develname	%mklibname devmapper-event -d
%define cmdlibname	%mklibname lvm2cmd %cmdmajor
%define cmddevelname	%mklibname lvm2cmd -d

%define	build_cluster 0
%define	build_dmeventd 1

#requirements for cluster
%define corosync_version 1.2.0
%define openais_version 1.1.1
%define cluster_version 3.0.6

%{?_with_dmeventd: %{expand: %%global build_dmeventd 1}}
%{?_without_dmeventd: %{expand: %%global build_dmeventd 0}}
%{?_with_cluster: %{expand: %%global build_cluster 1}}
%{?_without_cluster: %{expand: %%global build_cluster 0}}

%if %build_dmeventd
%define dm_req	%{event_libname}
%define dm_req_d	%{event_develname}
%else
%define dm_req	%{dmlibname}
%define dm_req_d	%{dmdevelname}
%endif

Summary:	Logical Volume Manager administration tools
Name:		lvm2
Version:	%{lvmversion}
Release:	%mkrel 3
License:	GPLv2 and LGPL2.1
Group:		System/Kernel and hardware
URL:		http://sources.redhat.com/lvm2/
Source0:	ftp://sourceware.org/pub/lvm2/releases/LVM2.%{lvmversion}.tgz
# Mageia patches:
Patch50:		lvm2-2.02.98-alternatives.patch
BuildConflicts:	device-mapper-devel < %{dmversion}
BuildRequires:	libblkid-devel >= 2.24
BuildRequires:	libaio-devel
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(libsystemd)
%if %{enable_lvmdbusd}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-dbus
BuildRequires:	python3-pyudev
%endif
BuildRequires:	thin-provisioning-tools
#BuildRequires:	autoconf
BuildRequires:	sed
Conflicts:	lvm
Conflicts:	lvm1
BuildRequires:	glibc-static-devel
%if %build_dmeventd
# install plugins as well
Requires:	%{cmdlibname} = %{lvmversion}-%{release}
%endif
Requires:	dmsetup >= %{dmversion}
Requires:	%{dm_req} >= %{dmversion}
Requires:	thin-provisioning-tools
Requires(post):	systemd-units >= %{systemd_required_version}

%description
LVM2 includes all of the support for handling read/write operations on
physical volumes (hard disks, RAID-Systems, magneto optical, etc.,
multiple devices (MD), see mdadm(8) or even loop devices, see losetup(8)),
creating volume groups (kind of virtual disks) from one or more physical
volumes and creating one or more logical volumes (kind of logical partitions)
in volume groups.

%package -n	%{cmdlibname}
Summary:	LVM2 command line library
Group:		System/Kernel and hardware
Requires:	%{dm_req} >= %{dmversion}
Conflicts:	%{mklibname lvm2cmd 2.02}
# Avoid devel deps on library due to autoreq picking these plugins up as devel libs
%global __requires_exclude_from %_libdir/libdevmapper-event-lvm2(mirror|raid|snapshot|thin|vdo).so

%description -n	%{cmdlibname}
The lvm2 command line library allows building programs that manage
lvm devices without invoking a separate program.

%package -n	%{cmddevelname}
Summary:	Development files for LVM2 command line library
Group:		System/Kernel and hardware
Requires:	%{cmdlibname} = %{lvmversion}-%{release}
Requires:	%{dm_req_d} = %{dmversion}-%{release}
Provides:	liblvm2cmd-devel = %{lvmversion}-%{release}
Obsoletes:	%{mklibname lvm2cmd %cmdmajor -d}

%description -n	%{cmddevelname}
The lvm2 command line library allows building programs that manage
lvm devices without invoking a separate program.
This package contains the header files for building with lvm2cmd.

%if %build_cluster
%package -n	clvmd
Summary:	cluster LVM daemon
Group:		System/Kernel and hardware
BuildRequires:	cluster-devel >= %{cluster_version}
BuildRequires:	openais-devel >= %{openais_version}
BuildRequires:	corosync-devel >= %{corosync_version}
Requires:	cman >= %{cluster_version}
Requires:	%{dm_req} >= %{dmversion}

%description -n	clvmd
clvmd is the daemon that distributes LVM metadata updates around a
cluster. It must be running on all nodes in the cluster and will give
an error if a node in the cluster does not have this daemon running.
%endif

%package -n	dmsetup
Summary:	Device mapper setup tool
Version:	%{dmversion}
Group:		System/Kernel and hardware
Provides:	device-mapper = %{dmversion}-%{release}
%if %{build_dmeventd}
Provides:	dmeventd = %{dmversion}-%{release}
%endif
Requires:	%{dm_req} = %{dmversion}-%{release}
BuildRequires:	pkgconfig(udev)
Requires:	udev
Requires(pre):	rpm-helper

%description -n	dmsetup
Dmsetup manages logical devices that use the device-mapper driver.  
Devices are created by loading a table that specifies a target for
each sector (512 bytes) in the logical device.

%package -n	%{dmlibname}
Summary:	Device mapper library
Version:	%{dmversion}
Group:		System/Kernel and hardware

%description -n	%{dmlibname}
The device-mapper driver enables the definition of new block
devices composed of ranges of sectors of existing devices.  This
can be used to define disk partitions - or logical volumes.

This package contains the shared libraries required for running
programs which use device-mapper.

%package -n	%{dmdevelname}
Summary:	Device mapper development library
Version:	%{dmversion}
Group:		Development/C
Provides:	device-mapper-devel = %{dmversion}-%{release}
Provides:	libdevmapper-devel = %{dmversion}-%{release}
Requires:	%{dmlibname} = %{dmversion}-%{release}
Requires:	pkgconfig
Conflicts:	device-mapper-devel < %{dmversion}-%{release}
Obsoletes:	%{mklibname devmapper %dmmajor -d}

%description -n	%{dmdevelname}
The device-mapper driver enables the definition of new block
devices composed of ranges of sectors of existing devices.  This
can be used to define disk partitions - or logical volumes.

This package contains the header files and development libraries
for building programs which use device-mapper.

%if %{build_dmeventd}

%package -n	%{event_libname}
Summary:	Device mapper event library
Version:	%{dmversion}
Group:		System/Kernel and hardware
Provides:	device-mapper-event = %{dmversion}-%{release}
Provides:	libdevmapper-event = %{dmversion}-%{release}
Requires:	%{dmlibname} >= %{dmversion}

%description -n	%{event_libname}
The device-mapper-event library allows monitoring of active mapped devices.

This package contains the shared libraries required for running
programs which use device-mapper-event.

%package -n	%{event_develname}
Summary:	Device mapper event development library
Version:	%{dmversion}
Group:		Development/C
Provides:	device-mapper-event-devel = %{dmversion}-%{release}
Provides:	libdevmapper-event-devel = %{dmversion}-%{release}
Requires:	%{event_libname} = %{dmversion}-%{release}
Requires:	%{dmdevelname} = %{dmversion}-%{release}
Requires:	pkgconfig
Conflicts:	device-mapper-event-devel < %{dmversion}-%{release}
Obsoletes:	%{mklibname devmapper-event %dmmajor -d}

%description -n	%{event_develname}
The device-mapper-event library allows monitoring of active mapped devices.

This package contains the header files and development libraries
for building programs which use device-mapper-event.
%endif

%prep
%autosetup -p1 -n LVM2.%{lvmversion}

%build
%if %{enable_lvmdbusd}
%global configure_lvmdbusd --enable-dbus-service --enable-notify-dbus
%endif

datelvm=`awk -F '[.() ]*' '{printf "%s.%s.%s:%s\n", $1,$2,$3,$(NF-1)}' VERSION`
datedm=`awk -F '[.() ]*' '{printf "%s.%s.%s:%s\n", $1,$2,$3,$(NF-1)}' VERSION_DM`
if [ "${datelvm%:*}" != "%{lvmversion}" -o "${datedm%:*}" != "%{dmversion}" -o \
 "%{release}" = "%{mkrel 1}" -a "${datelvm#*:}" != "${datedm#*:}" ]; then
	echo "ERROR:	you should not be touching this package" 1>&2
	echo "	without full understanding of relationship between device-mapper" 1>&2
	echo "	and lvm2 versions" 1>&2
	exit 1
fi
%if %{build_dmeventd}
%define _disable_ld_as_needed 1
%endif
%define common_configure_parameters --with-default-dm-run-dir=/run --with-default-run-dir=/run/lvm --with-default-pid-dir=/run --with-default-locking-dir=/run/lock/lvm --with-user=`id -un` --with-group=`id -gn` --disable-selinux --with-device-uid=0 --with-device-gid=6 --with-device-mode=0660 %{?configure_lvmdbusd}
export MODPROBE_CMD=/usr/sbin/modprobe

%configure %{common_configure_parameters} \
	--disable-static_link --enable-readline \
	--enable-fsadm --enable-pkgconfig \
	--with-usrlibdir=%{_libdir} --libdir=%{_libdir} \
	--enable-cmdlib \
	--enable-dependency-tracking \
%if %build_cluster
	--with-clvmd=cman,openais,corosync \
%endif
%if %{build_dmeventd}
	--enable-dmeventd \
	--with-dmeventd-path=/sbin/dmeventd \
%endif
	--enable-udev_sync --enable-udev_rules \
	--with-udevdir=%{_udevrulesdir} \
# 20090926 no translations yet:	--enable-nls
# end of configure options
%make_build

%install
# (tv) fix "ERROR: ambiguous python shebang in /sbin/lvmdbusd":
grep /bin/python3 daemons/lvmdbusd/lvmdbusd || perl -pi -e 's@^(#!/usr/bin/python)@${1}3@' daemons/lvmdbusd/lvmdb.py daemons/lvmdbusd/lvmdbusd
%make_install
make install_system_dirs DESTDIR=$RPM_BUILD_ROOT
make install_systemd_units DESTDIR=$RPM_BUILD_ROOT
make install_systemd_generators DESTDIR=$RPM_BUILD_ROOT
make install_tmpfiles_configuration DESTDIR=$RPM_BUILD_ROOT

install -d %{buildroot}/etc/lvm/archive
install -d %{buildroot}/etc/lvm/backup
install -d %{buildroot}/etc/lvm/cache
touch %{buildroot}/etc/lvm/cache/.cache

%if %build_cluster
install -m 0755 scripts/lvmconf.sh %{buildroot}%{_usrsbindir}/lvmconf
%endif

#compatibility links
ln %{buildroot}%{_sbindir}/lvm %{buildroot}%{_sbindir}/lvm2

##move .so links in /usr/lib
#for solink in %%{buildroot}%%{_libdir}/*.so; do
#	if [ "${solink%%libdevmapper-event-lvm2*.so}" == "${solink}" ]; then
#		_target=`readlink ${solink}`
#		ln -s ../../%%{_libdir}/${_target##*/} %%{buildroot}%%{_libdir}/${solink##*/}
#		rm ${solink}
#	fi
#done

#hack permissions of libs
chmod u+w %{buildroot}%{_libdir}/*.so.* %{buildroot}%{_sbindir}/*
%if %build_cluster
chmod u+w  %{buildroot}%{_usrsbindir}/*
%endif

#hack trick strip_and_check_elf_files
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}:${LD_LIBRARY_PATH}

%pre
if [ -L /sbin/lvm -a -L /etc/alternatives/lvm ]; then
	update-alternatives --remove lvm /sbin/lvm2
fi

%post
%_tmpfilescreate %{name}
%systemd_post blk-availability.service lvm2-monitor.service
if [ "$1" = "1" ] ; then
	# enable and start lvm2-monitor.service on completely new installation only, not on upgrades
	systemctl enable --now lvm2-monitor.service > /dev/null 2>&1 || :
fi

%if %build_cluster
%post -n clvmd
%_post_service clvmd
%{_usrsbindir}/lvmconf --lockinglibdir %{_libdir}

%preun -n clvmd
%_preun_service clvmd
if [ "$1" = 0 ]; then
        %{_usrsbindir}/lvmconf --disable-cluster
fi
%endif

%files
%defattr(644,root,root,755)
%doc README VERSION WHATS_NEW
%attr(755,root,root) %{_sbindir}/blkdeactivate
%attr(755,root,root) %{_sbindir}/fsadm
%attr(755,root,root) %{_sbindir}/lvm
%attr(755,root,root) %{_sbindir}/lvm2
%attr(755,root,root) %{_sbindir}/lvchange
%if %build_cluster
%attr(755,root,root) %{_sbindir}/lvmconf
%endif
%attr(755,root,root) %{_sbindir}/lvmconfig
%attr(755,root,root) %{_sbindir}/lvmdevices
%attr(755,root,root) %{_sbindir}/lvconvert
%attr(755,root,root) %{_sbindir}/lvcreate
%attr(755,root,root) %{_sbindir}/lvdisplay
%attr(755,root,root) %{_sbindir}/lvmdump
%attr(755,root,root) %{_sbindir}/lvm_import_vdo
%attr(755,root,root) %{_sbindir}/lvextend
%attr(755,root,root) %{_sbindir}/lvmdiskscan
%attr(755,root,root) %{_sbindir}/lvmsadc
%attr(755,root,root) %{_sbindir}/lvmsar
%attr(755,root,root) %{_sbindir}/lvreduce
%attr(755,root,root) %{_sbindir}/lvremove
%attr(755,root,root) %{_sbindir}/lvrename
%attr(755,root,root) %{_sbindir}/lvresize
%attr(755,root,root) %{_sbindir}/lvs
%attr(755,root,root) %{_sbindir}/lvscan
%attr(755,root,root) %{_sbindir}/pvchange
%attr(755,root,root) %{_sbindir}/pvck
%attr(755,root,root) %{_sbindir}/pvcreate
%attr(755,root,root) %{_sbindir}/pvdisplay
%attr(755,root,root) %{_sbindir}/pvmove
%attr(755,root,root) %{_sbindir}/pvremove
%attr(755,root,root) %{_sbindir}/pvresize
%attr(755,root,root) %{_sbindir}/pvs
%attr(755,root,root) %{_sbindir}/pvscan
%attr(755,root,root) %{_sbindir}/vgcfgbackup
%attr(755,root,root) %{_sbindir}/vgcfgrestore
%attr(755,root,root) %{_sbindir}/vgchange
%attr(755,root,root) %{_sbindir}/vgck
%attr(755,root,root) %{_sbindir}/vgconvert
%attr(755,root,root) %{_sbindir}/vgcreate
%attr(755,root,root) %{_sbindir}/vgdisplay
%attr(755,root,root) %{_sbindir}/vgexport
%attr(755,root,root) %{_sbindir}/vgextend
%attr(755,root,root) %{_sbindir}/vgimport
%attr(755,root,root) %{_sbindir}/vgimportclone
%attr(755,root,root) %{_sbindir}/vgimportdevices
%attr(755,root,root) %{_sbindir}/vgmerge
%attr(755,root,root) %{_sbindir}/vgmknodes
%attr(755,root,root) %{_sbindir}/vgreduce
%attr(755,root,root) %{_sbindir}/vgremove
%attr(755,root,root) %{_sbindir}/vgrename
%attr(755,root,root) %{_sbindir}/vgs
%attr(755,root,root) %{_sbindir}/vgscan
%attr(755,root,root) %{_sbindir}/vgsplit
%attr(755, -, -) %{_libexecdir}/lvresize_fs_helper
%{_unitdir}/blk-availability.service
%{_unitdir}/lvm2-monitor.service
%dir %{_sysconfdir}/lvm
%{_sysconfdir}/lvm/profile/vdo-small.profile
%config(noreplace) %{_sysconfdir}/lvm/lvm.conf
%config(noreplace) %{_sysconfdir}/lvm/lvmlocal.conf
%dir %{_sysconfdir}/lvm/profile
%config(noreplace) %{_sysconfdir}/lvm/profile/command_profile_template.profile
%config(noreplace) %{_sysconfdir}/lvm/profile/metadata_profile_template.profile
%config(noreplace) %{_sysconfdir}/lvm/profile/thin-generic.profile
%config(noreplace) %{_sysconfdir}/lvm/profile/thin-performance.profile
%config(noreplace) %{_sysconfdir}/lvm/profile/cache-mq.profile
%config(noreplace) %{_sysconfdir}/lvm/profile/cache-smq.profile
%config(noreplace) %{_sysconfdir}/lvm/profile/lvmdbusd.profile
%attr(700,root,root) %dir %{_sysconfdir}/lvm/archive
%attr(700,root,root) %dir %{_sysconfdir}/lvm/backup
%attr(700,root,root) %dir %{_sysconfdir}/lvm/cache
%attr(600,root,root) %ghost %{_sysconfdir}/lvm/cache/.cache
%{_tmpfilesdir}/%{name}.conf
%{_mandir}/man5/*
%{_mandir}/man7/*
%{_mandir}/man8/*
%{_udevrulesdir}/11-dm-lvm.rules
%{_udevrulesdir}/69-dm-lvm.rules

%files -n %{cmdlibname}
%defattr(644,root,root,755)
%{_libdir}/liblvm2cmd.so.*
%if %{build_dmeventd}
%dir /%{_libdir}/device-mapper
%{_libdir}/device-mapper/libdevmapper-event-lvm2mirror.so
%{_libdir}/device-mapper/libdevmapper-event-lvm2raid.so
%{_libdir}/device-mapper/libdevmapper-event-lvm2snapshot.so
%{_libdir}/device-mapper/libdevmapper-event-lvm2thin.so
%{_libdir}/device-mapper/libdevmapper-event-lvm2vdo.so
%{_libdir}/libdevmapper-event-lvm2.so.*
%{_libdir}/libdevmapper-event-lvm2mirror.so
%{_libdir}/libdevmapper-event-lvm2raid.so
%{_libdir}/libdevmapper-event-lvm2snapshot.so
%{_libdir}/libdevmapper-event-lvm2thin.so
%{_libdir}/libdevmapper-event-lvm2vdo.so
%endif

%files -n %{cmddevelname}
%defattr(644,root,root,755)
%{_includedir}/lvm2cmd.h
%attr(755,root,root) %{_libdir}/liblvm2cmd.so

%if %build_cluster
%files -n clvmd
%defattr(755, root,root)
%{_usrsbindir}/clvmd
%{_usrsbindir}/lvmconf
%attr(644,root,root) %{_mandir}/man8/clvmd.8*
%endif

##############################################################################
# LVM D-Bus daemon
##############################################################################
%if %{enable_lvmdbusd}

%package dbusd
Summary: LVM2 D-Bus daemon
License: GPLv2
BuildArch: noarch
Requires: lvm2 >= %{?epoch}:%{version}-%{release}
Requires: dbus
Requires: python3-dbus
Requires: python3-pyudev
Requires: python3-gobject
Requires(post): systemd-units >= %{systemd_version}
Requires(preun): systemd-units >= %{systemd_version}
Requires(postun): systemd-units >= %{systemd_version}

%description dbusd

Daemon for access to LVM2 functionality through a D-Bus interface.

%post dbusd
%systemd_post lvm2-lvmdbusd.service

%preun dbusd
%systemd_preun lvm2-lvmdbusd.service

%files dbusd
%defattr(555,root,root,-)
%{_sbindir}/lvmdbusd
%defattr(444,root,root,-)
%{_sysconfdir}/dbus-1/system.d/com.redhat.lvmdbus1.conf
%{_datadir}/dbus-1/system-services/com.redhat.lvmdbus1.service
%{_mandir}/man8/lvmdbusd.8.*
%{_unitdir}/lvm2-lvmdbusd.service
%{python3_sitelib}/lvmdbusd/*

%endif

%files -n dmsetup
%defattr(644,root,root,755)
%doc INSTALL README VERSION_DM WHATS_NEW_DM
%attr(755,root,root) %{_sbindir}/dmsetup
%attr(755,root,root) %{_sbindir}/dmstats
%if %{build_dmeventd}
%attr(755,root,root) %{_sbindir}/dmeventd
%endif
%{_unitdir}/dm-event.service
%{_unitdir}/dm-event.socket
%{_mandir}/man8/dmsetup.8*
%{_udevrulesdir}/10-dm.rules
%{_udevrulesdir}/13-dm-disk.rules
%{_udevrulesdir}/95-dm-notify.rules

%files -n %{dmlibname}
%defattr(755,root,root)
%{_libdir}/libdevmapper.so.*

%files -n %{dmdevelname}
%defattr(644,root,root,755)
%{_libdir}/libdevmapper.so
%{_includedir}/libdevmapper.h
%{_libdir}/pkgconfig/devmapper.pc

%if %{build_dmeventd}
%defattr(755,root,root)
%files -n %{event_libname}
%{_libdir}/libdevmapper-event.so.*

%files -n %{event_develname}
%defattr(644,root,root,755)
%{_includedir}/libdevmapper-event.h
%{_libdir}/libdevmapper-event.so
%{_libdir}/libdevmapper-event-lvm2.so
%{_libdir}/pkgconfig/devmapper-event.pc
%endif


%changelog
* Fri Apr 05 2024 wally <wally> 2.03.22-3.mga10
+ Revision: 2054663
- basesystem rebuild for i686

* Thu Dec 28 2023 tv <tv> 2.03.22-2.mga10
+ Revision: 2023241
- Fix build by droping shared build directory since we killed the static &
  uclibc builds long time ago
- Update to upstream version 2.03.22
- Rebuilt for Python 3.12
- Update to upstream version 2.03.18.
- Update to upstream version 2.03.17.
+ daviddavid <daviddavid>
- fix libdir path in pkgconfig file

* Wed Oct 12 2022 tv <tv> 2.03.16-1.mga9
+ Revision: 1896573
- Update to upstream version 2.03.16.

* Wed Jun 08 2022 tv <tv> 2.03.11-7.mga9
+ Revision: 1863631
- Remove devel deps from lib64lvm2cmd2 in order to unbloat minimal installation

* Thu Mar 31 2022 umeabot <umeabot> 2.03.11-6.mga9
+ Revision: 1837210
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 2.03.11-5.mga9
+ Revision: 1774658
- Fix BR pkgconfig(systemd) -> pkgconfig(libsystemd)
- Rebuild for python-3.10

* Sat Mar 20 2021 tv <tv> 2.03.11-4.mga9
+ Revision: 1705572
- rebuild for python-3.9.2

* Sun Feb 28 2021 tv <tv> 2.03.11-3.mga9
+ Revision: 1693270
- 2.03.11

* Thu Sep 10 2020 tv <tv> 2.03.10-3.mga8
+ Revision: 1624085
- fix dbusd deps

* Thu Sep 10 2020 tv <tv> 2.03.10-2.mga8
+ Revision: 1624052
- enable dbusd

* Mon Aug 10 2020 tv <tv> 2.03.10-1.mga8
+ Revision: 1612804
- lvm 2.03.10 / dm 1.02.173

* Fri Mar 27 2020 tv <tv> 2.03.09-2.mga8
+ Revision: 1561052
- ease uppgrade

* Fri Mar 27 2020 tv <tv> 2.03.09-1.mga8
+ Revision: 1561032
- new release
- lvm2app is no more
- rediff patches
- qdiscd patch is now irrelevant
- need _disable_ld_no_undefined

* Wed Mar 25 2020 tv <tv> 2.02.183-5.mga8
+ Revision: 1560072
- link with blkid
- BR thin-provisioning-tools so that support for thin provisioning is not limited
- add --enable-dependency-tracking, thus fixing build which is broken switching
  from %%configure2_5x to %%configure...
  b/c the later forces --disable-dependency-tracking...
- fix source URL
- fix file listed twice
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 2.02.183-3.mga8
+ Revision: 1475985
- rebuild for readline

* Thu Jul 04 2019 tmb <tmb> 2.02.183-2.mga8
+ Revision: 1418570
- lvm2 must require dmsetup

* Sat Dec 29 2018 luigiwalser <luigiwalser> 2.02.183-1.mga7
+ Revision: 1345892
- fix patches 1 and 3
- remove patch 2 (fixed upstream)
- update to 2.02.183
- dm is now 1.02.154

* Mon Sep 03 2018 tv <tv> 2.02.168-4.mga7
+ Revision: 1256666
- fix deps: systemd -> systemd-units

* Sat Dec 30 2017 ngompa <ngompa> 2.02.168-3.mga7
+ Revision: 1188127
- Ensure systemd macros are available

* Sat Dec 30 2017 ngompa <ngompa> 2.02.168-2.mga7
+ Revision: 1188046
- Add and enable missing systemd components

* Thu Dec 01 2016 luigiwalser <luigiwalser> 2.02.168-1.mga6
+ Revision: 1071446
- update to 2.02.168
- dm is now 1.02.137

* Mon Nov 07 2016 luigiwalser <luigiwalser> 2.02.167-1.mga6
+ Revision: 1065673
- update to 2.02.167
- dm is now 1.02.136

* Tue Sep 27 2016 luigiwalser <luigiwalser> 2.02.166-1.mga6
+ Revision: 1057175
- update to 2.02.166
- dm is now 1.02.135

* Wed Sep 07 2016 luigiwalser <luigiwalser> 2.02.165-1.mga6
+ Revision: 1050383
- update to 2.02.165
- dm is now 1.02.134

* Fri Aug 26 2016 luigiwalser <luigiwalser> 2.02.164-1.mga6
+ Revision: 1049137
- update to 2.02.164
- dm is now 1.02.133
- rediff patch 2
- add lvmdbusd.profile to files list

* Tue Mar 29 2016 tv <tv> 2.02.147-1.mga6
+ Revision: 996078
- update to 2.02.147
- dm is now 1.02.120
- update patch3 from FC
- adjust file list

* Fri Feb 12 2016 umeabot <umeabot> 2.02.111-9.mga6
+ Revision: 956099
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 blino <blino> 2.02.111-8.mga6
+ Revision: 887798
- remove unused find_lang (empty lang file list breaks build with rpm 4.13)

* Fri Aug 21 2015 tmb <tmb> 2.02.111-7.mga6
+ Revision: 867450
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 2.02.111-6.mga5
+ Revision: 748490
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tmb <tmb> 2.02.111-5.mga5
+ Revision: 736680
- dont global filter devel provides

* Fri Oct 03 2014 tmb <tmb> 2.02.111-4.mga5
+ Revision: 736668
- filter bogus devel requires from lib(64)lvm2cmd2.02

* Fri Oct 03 2014 tmb <tmb> 2.02.111-3.mga5
+ Revision: 736577
- rebuild for deps

* Tue Sep 16 2014 umeabot <umeabot> 2.02.111-2.mga5
+ Revision: 682057
- Mageia 5 Mass Rebuild
+ tv <tv>
- auto convert _exclude_files_from_autoreq

* Sun Sep 07 2014 tmb <tmb> 2.02.111-1.mga5
+ Revision: 673310
- fix rel
- update to 2.02.111
- dm is now 1.02.90
- drop merged/obsolete patches
- switch from _lib to _libdir
- drop static build
- update filelists

* Thu Jun 19 2014 tv <tv> 2.02.103-4.mga5
+ Revision: 638111
- drop uclibc build

* Mon Apr 21 2014 pterjan <pterjan> 2.02.103-3.mga5
+ Revision: 617339
- Add upstream fix to build with new readline

* Tue Oct 22 2013 umeabot <umeabot> 2.02.103-2.mga4
+ Revision: 541731
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 tmb <tmb> 2.02.103-1.mga4
+ Revision: 496400
- update to 2.02.103
- drop merged patches

* Sun Mar 24 2013 colin <colin> 2.02.98-3.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)
- Various patches from fedora (most not used until we enable lvmetad)
- Use udevrulesdir macro
- Set default runtime directories via configure
- Use upstream supplied tmpfiles config

* Sat Jan 12 2013 umeabot <umeabot> 2.02.98-2.mga3
+ Revision: 359147
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 tmb <tmb> 2.02.98-1.mga3
+ Revision: 339663
- update filelists
- update to 2.02.98

* Tue Sep 11 2012 tv <tv> 2.02.97-5.mga3
+ Revision: 292452
- new release
- drop upstream patch 5
- rediff patch 2
- drop sysvinit support

* Tue Jul 24 2012 colin <colin> 2.02.95-5.mga3
+ Revision: 274011
- Do not ship files in /var/lock, use tmpfiles instead

* Fri Jun 29 2012 colin <colin> 2.02.95-4.mga3
+ Revision: 264940
- Rebuild for new udev major

* Mon Jun 18 2012 colin <colin> 2.02.95-3.mga3
+ Revision: 261384
+ rebuild (emptylog)

* Mon Jun 04 2012 colin <colin> 2.02.95-2.mga3
+ Revision: 254070
- Apply upstream patch to no longer use deprecated udev_get_dev_path()

* Tue Mar 06 2012 tmb <tmb> 2.02.95-1.mga2
+ Revision: 220210
- update lvm to 2.02.95 and dm to 1.02.74

* Tue Jan 03 2012 tmb <tmb> 2.02.88-1.mga2
+ Revision: 190036
- update to 2.02.85 (devmapper 1.02.67)
- update filelists
- fix license

* Thu Dec 29 2011 tmb <tmb> 2.02.85-3.mga2
+ Revision: 188778
- make sure rpm-helper is installed before dmsetup (mga #3916)

* Wed Dec 07 2011 tmb <tmb> 2.02.85-2.mga2
+ Revision: 178063
- rebuild with gcc-4.6.2

* Fri Oct 28 2011 tmb <tmb> 2.02.85-1.mga2
+ Revision: 158909
- update to 2.02.85

* Sat Jan 15 2011 pterjan <pterjan> 2.02.78-4.mga1
+ Revision: 18922
- Rebuild
+ blino <blino>
- remove one more manbo_mkrel occurence

* Thu Jan 13 2011 tmb <tmb> 2.02.78-3.mga1
+ Revision: 9064
- fix spec when building without cluster support
- disable clusted lvmd support for now to break BR loop
- imported package lvm2


* Wed Jan 12 2011 Thomas Backlund <tmb@mageia.org> 2.02.78-3.mga1
- initial Mageia import
- switch to mkrel
- drop old mandriva support

* Thu Dec 23 2010 Luca Berra <bluca@mandriva.org> 2.02.78-2mnb2
+ Revision: 624115
- add some requires to ensure consistency between device-mapper and lvm

* Sun Dec 12 2010 Luca Berra <bluca@mandriva.org> 2.02.78-1mnb2
+ Revision: 620610
- update to lvm2-2.02.78 and device-mapper 1.02.59
- really update tarballs
- remove obsolete patches
- p1 qdiskd is started as part of cman
- fix static build (bor)
- clvmd now requires openais and corosync (bor)

  + Götz Waschk <waschk@mandriva.org>
    - update to new version 2.02.77

  + Oden Eriksson <oeriksson@mandriva.com>
    - fix typo
    - sync with MDVSA-2010:171

* Mon Mar 01 2010 Thomas Backlund <tmb@mandriva.org> 2.02.61-5mnb2
+ Revision: 513264
- fix udev rule to add symlinks in /dev/mapper/

* Mon Mar 01 2010 Luca Berra <bluca@mandriva.org> 2.02.61-4mnb2
+ Revision: 513116
- enable liblvm2app

* Sat Feb 20 2010 Luca Berra <bluca@mandriva.org> 2.02.61-3mnb2
+ Revision: 508818
- update dm version

* Fri Feb 19 2010 Thomas Backlund <tmb@mandriva.org> 2.02.61-2mnb2
+ Revision: 508449
- make lib(64)devmapper-event1.02 provide device-mapper-event (for dmraid-event)

* Tue Feb 16 2010 Funda Wang <fwang@mandriva.org> 2.02.61-1mnb2
+ Revision: 506589
- New version 2.02.61

  + Luca Berra <bluca@mandriva.org>
    - fix permissions on lvm2-monitor initscript
    - make dmeventd require same EVR libdevmapper-event
    - enable loading of dm target modules as needed
    - fix dmeventd not linking against libdevmapper-event
    - fix static lib build on x86_64
    - fix location of dmeventd binary
    - update to lvm2 2.02.60/device-mapper 1.02.43
    - build cluster mirror daemon
    - enable udev integration
    - set default preferred names in configuration (fedora)

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - build a uclibc linked static library as well
    - link static binaries against uclibc rather than glibc
    - do static and shared builds in separate directories
    - link against libraries from where they're actually built at (P5)

* Fri Nov 06 2009 Frederik Himpe <fhimpe@mandriva.org> 2.02.54-1mnb2
+ Revision: 462071
- Really update to 2.02.54
- update to new version 2.02.54

* Tue Oct 13 2009 Buchan Milne <bgmilne@mandriva.org> 2.02.53-5mnb2
+ Revision: 457026
- Re-fix lsb headers in clvmd init (to require cman)

* Wed Oct 07 2009 Anssi Hannula <anssi@mandriva.org> 2.02.53-4mnb2
+ Revision: 455711
- modify _exclude_files_from_autoreq to only match the .so symlink so
  that automatic dependencies continue working, and remove the then
  unneeded explicit require that was added for this issue

* Tue Oct 06 2009 Anssi Hannula <anssi@mandriva.org> 2.02.53-3mnb2
+ Revision: 455260
- fix versioned requires added in previous release

* Tue Oct 06 2009 Buchan Milne <bgmilne@mandriva.org> 2.02.53-2mnb2
+ Revision: 454651
- Put an explicit requires back in for the valid dependency that was a victim of
  the previous fix

  + Christophe Fergeau <cfergeau@mandriva.com>
    - make sure liblvm2cmd2.02 don't requires devel packages

* Thu Oct 01 2009 Buchan Milne <bgmilne@mandriva.org> 2.02.53-1mnb2
+ Revision: 452390
- Buildrequire cluster-devel 3.0.3, openais-devel 1.1.0, corosync-devel 1.1.0
- put explicit versioned requires on libdevmapper on lvm to ensure lvm works
- Fix build on x86_64

  + Luca Berra <bluca@mandriva.org>
    - New version 2.02.53
      device-mapper is now built from lvm2 spec file
      dietlibc static binaries have been removed
      cluster support for openais/corosync is not built

* Sun Sep 27 2009 Olivier Blin <oblin@mandriva.com> 2.02.33-9mnb2
+ Revision: 450120
- use dietlibc on arm and mips too (from Arnaud Patard)

* Wed Apr 08 2009 Buchan Milne <bgmilne@mandriva.org> 2.02.33-8mnb2
+ Revision: 365105
- Fix LSB headers in clvmd init script (incl to require cman to be started for clvmd)
- Drop unused source file

* Tue Apr 07 2009 Buchan Milne <bgmilne@mandriva.org> 2.02.33-7mnb2
+ Revision: 364814
- Remove conflict between lvm2 and clvmd (/sbin/lvmconf)

* Wed Feb 25 2009 Thierry Vignaud <tv@mandriva.org> 2.02.33-6mnb2
+ Revision: 344660
- rebuild for new libreadline

* Tue Jan 06 2009 Buchan Milne <bgmilne@mandriva.org> 2.02.33-5mnb2
+ Revision: 325771
- Enable cluster support by default

* Sun Dec 21 2008 Oden Eriksson <oeriksson@mandriva.com> 2.02.33-4mnb2
+ Revision: 317041
- rediffed some fuzzy patches

  + Buchan Milne <bgmilne@mandriva.org>
    - Fix clvmd (compilation with --with cluster)

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 2.02.33-3mnb2
+ Revision: 265035
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 10 2008 Oden Eriksson <oeriksson@mandriva.com> 2.02.33-2mnb2
+ Revision: 217575
- rebuilt against dietlibc-devel-0.32

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.02.33-1mnb1
+ Revision: 170654
- replace %%mkrel with %%manbo_mkrel for Manbo Core 1

* Wed Feb 06 2008 Olivier Blin <oblin@mandriva.com> 2.02.33-1mdv2008.1
+ Revision: 163060
- 2.02.33

* Tue Feb 05 2008 Olivier Blin <oblin@mandriva.com> 2.02.31-2mdv2008.1
+ Revision: 162814
- build with ncurses instead of deprecated termcap

* Wed Jan 23 2008 Olivier Blin <oblin@mandriva.com> 2.02.31-1mdv2008.1
+ Revision: 157141
- do not install fsadm manually (now done by Makefile)
- define UINT64_MAX when building with dietlibc
- buildrequire device-mapper-devel >= 1.02.23 (for readahead support)
- 2.02.31

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 2.02.27-3mdv2008.1
+ Revision: 152884
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 2.02.27-2mdv2008.1
+ Revision: 152882
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 22 2007 Adam Williamson <awilliamson@mandriva.org> 2.02.27-1mdv2008.0
+ Revision: 69193
- fix typo
- disable stack protector (build fails if enabled)
- update buildrequires for dmeventd build (still disabled by default)
- add patch6 to fix a conflicting types error when building with dietlibc
- rediff and update patch0 and patch1
- new devel policy
- new release 2.02.27


* Mon Sep 11 2006 Luca Berra <bluca@comedia.it>
+ 2006-09-11 11:06:54 (60771)
New release 2.02.09

* Tue Jul 11 2006 Luca Berra <bluca@comedia.it>
+ 2006-07-11 22:16:08 (38858)
remove alternatives, but still keep lvm2 and lvm2-static links for compatibility with existing tools

* Tue Jul 11 2006 Luca Berra <bluca@comedia.it>
+ 2006-07-11 20:55:25 (38791)
create backup file when applying p6

* Tue Jul 11 2006 Pixel <pixel@mandriva.com>
+ 2006-07-11 13:01:44 (38772)
really apply patch6

* Tue Jul 11 2006 Pixel <pixel@mandriva.com>
+ 2006-07-11 12:30:34 (38771)
release fixed vgs for DrakX

* Tue Jul 11 2006 Pixel <pixel@mandriva.com>
+ 2006-07-11 12:29:14 (38770)
fix exit code for VG not found (bug #22968)

* Wed Jul 05 2006 Luca Berra <bluca@comedia.it>
+ 2006-07-05 09:11:45 (38381)
import lvm2-2.02.06-1mdv2007.0

* Sun May 28 2006 Luca Berra <bluca@vodka.it> 2.02.06-1mdv2007.0
- New release 2.02.06
- build against dietlibc on ppc64
- add an option for dietlibc build
- require new device-mapper

* Thu Apr 20 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.01.15-4mdk
- build against dietlibc on sparc too

* Sun Jan 29 2006 Olivier Blin <oblin@mandriva.com> 2.01.15-3mdk
- fix 2.01.09-2mdk changelog date to match current lvm2 package in main i586

* Fri Jan 27 2006 Luca Berra <bluca@vodka.it> 2.01.15-2mdk
- Rebuild

* Sat Jan 21 2006 Luca Berra <bluca@vodka.it> 2.01.15-1mdk
- New release 2.01.15
- update p1 (diet)
- add missing defines in dietlibc (p2)

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.01.09-2mdk
- Rebuild

* Sun Apr 17 2005 Luca Berra <bluca@vodka.it> 2.01.09-1mdk 
- 2.01.09
- part of p4 (ignorelockingfailure) was merged
- rediffed p5 (File descriptor left open)
- added support for GFS pool format
- added cluster build option and clvmd subpackage

* Tue Apr 05 2005 Luca Berra <bluca@vodka.it> 2.00.33-4mdk 
- add --ignorelockingfailure to vgmknodes (p4)
- silence annoyng "File descriptor left open" messages (p5)

* Sat Mar 05 2005 Luca Berra <bluca@vodka.it> 2.00.33-3mdk 
- remove require for libdevmapper1.00

* Sat Mar 05 2005 Luca Berra <bluca@vodka.it> 2.00.33-2mdk 
- rebuild for new libdevmapper

* Sat Jan 29 2005 Luca Berra <bluca@vodka.it> 2.00.33-1mdk 
- 2.00.33

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.00.32-2mdk
- rebuild for new readline

* Sat Jan 15 2005 Luca Berra <bluca@vodka.it> 2.00.32-1mdk 
- 2.0.32
- do not link static binary with libdl

* Fri Dec 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.00.31-1mdk
- 2.00.31
- cosmetics

* Sun Nov 28 2004 Luca Berra <bluca@vodka.it> 2.00.27-1mdk 
- 2.0.27

* Sun Nov 14 2004 Luca Berra <bluca@vodka.it> 2.00.25-1mdk 
- 2.0.25
- added fsadm
- enabled nls
- added support for building the command line library

* Tue Sep 07 2004 Luca Berra <bluca@mandrakesoft.com> 2.00.22-1mdk
- 2.00.22
- define _BSD_SOURCE when building with dietlibc
- drop p4 no longer needed

* Sun Aug 01 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.00.20-2mdk
- use dietlibc for static build on ppc as well
- add BuildRequires: glibc-static-devel for other archs

* Thu Jul 22 2004 Luca Berra <bluca@vodka.it> 2.00.20-1mdk 
- 2.00.20
- disabled selinux build
- added workaround for including fs.h with glibc 2.3.3 (p4)

* Tue Jun 29 2004 Luca Berra <bluca@vodka.it> 2.00.19-2mdk 
- really fix alternatives patch

* Tue Jun 29 2004 Luca Berra <bluca@vodka.it> 2.00.19-1mdk 
- 2.00.19
- rediffed p0 (alternatives) and p1 (diet)

* Mon May 24 2004 Luca Berra <bluca@vodka.it> 2.00.16-1mdk 
- 2.00.16

* Sat Apr 17 2004 Luca Berra <bluca@vodka.it> 2.00.14-1mdk 
- 2.00.14
- rediffed p0, p1, p3
- removed p2, p4, p5 merged upstream

* Sun Jan 25 2004 Luca Berra <bluca@vodka.it> 2.00.08-8mdk 
- patch to ignore devices that have an md superblock on them

* Fri Jan 23 2004 Luca Berra <bluca@vodka.it> 2.00.08-7mdk
- patch to fix uidless PVs created during 9.2 installation

* Sun Jan 04 2004 Luca Berra <bluca@vodka.it> 2.00.08-6mdk
- DIRM: /etc/lvm
- build vs termcap, not ncurses

* Mon Dec 29 2003 Stefan van der Eijk <stefan@eijk.nu> 2.00.08-5mdk
- BuildRequires

* Sat Dec 20 2003 Luca Berra <bluca@vodka.it> 2.00.08-4mdk
- fix annoying "setlocale failed" message in dietlibc version

* Sun Dec 14 2003 Luca Berra <bluca@vodka.it> 2.00.08-3mdk
- added vgmknodes to static/diet binary
- imported blksize64 patch from fedora
- use %%post -f for alternatives script
- lvm.conf is a config file

* Sat Nov 22 2003 Luca Berra <bluca@vodka.it> 2.00.08-2mdk
- built against device-mapper 1.00.07

* Thu Nov 20 2003 Luca Berra <bluca@vodka.it> 2.00.08-1mdk
- 2.0.08 stable
- added static/dietlibc version for initrd

* Tue Sep 16 2003 Luca Berra <bluca@vodka.it> 2.00.07-1mdk
- 2.00.07 stable

